MONGOC_CLIENT_POOL_DESTROY(3)

NAME
mongoc_client_pool_destroy - mongoc_client_pool_destroy()

SYNOPSIS

        void
        mongoc_client_pool_destroy (mongoc_client_pool_t *pool);

Release all resources associated with pool, including freeing the structure.

All mongoc_client_t objects obtained from mongoc_client_pool_pop() from pool must be pushed back onto the pool with mongoc_client_pool_push() prior to calling mongoc_client_pool_destroy().

This method is NOT thread safe, and must only be called by one thread. It should be called once the application is shutting down, and after all other threads that use clients have been joined.

PARAMETERS

    •   pool: A mongoc_client_pool_t.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc